# Generated by Django 3.2 on 2022-10-14 14:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Alimento',
            fields=[
                ('ali_id', models.IntegerField(primary_key=True, serialize=False)),
                ('ali_descripcion', models.CharField(max_length=50)),
                ('ali_preciounitario', models.FloatField()),
            ],
            options={
                'db_table': 'alimento',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=150, null=True, unique=True)),
            ],
            options={
                'db_table': 'auth_group',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthGroupPermissions',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
            ],
            options={
                'db_table': 'auth_group_permissions',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthPermission',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('codename', models.CharField(blank=True, max_length=100, null=True)),
            ],
            options={
                'db_table': 'auth_permission',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUser',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(blank=True, max_length=128, null=True)),
                ('last_login', models.DateTimeField(blank=True, null=True)),
                ('is_superuser', models.BooleanField()),
                ('username', models.CharField(blank=True, max_length=150, null=True, unique=True)),
                ('first_name', models.CharField(blank=True, max_length=150, null=True)),
                ('last_name', models.CharField(blank=True, max_length=150, null=True)),
                ('email', models.CharField(blank=True, max_length=254, null=True)),
                ('is_staff', models.BooleanField()),
                ('is_active', models.BooleanField()),
                ('date_joined', models.DateTimeField()),
            ],
            options={
                'db_table': 'auth_user',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUserGroups',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
            ],
            options={
                'db_table': 'auth_user_groups',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUserUserPermissions',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
            ],
            options={
                'db_table': 'auth_user_user_permissions',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='BoletaInsumos',
            fields=[
                ('bolins_id', models.IntegerField(primary_key=True, serialize=False)),
                ('bolins_empresa', models.CharField(max_length=30)),
                ('bolins_fecha', models.DateField()),
                ('bolins_cant', models.FloatField()),
                ('bolins_descripcion', models.CharField(max_length=100)),
                ('bolins_total', models.FloatField()),
            ],
            options={
                'db_table': 'boleta_insumos',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='BoletaVentas',
            fields=[
                ('bolven_id', models.IntegerField(primary_key=True, serialize=False)),
                ('bolven_fecha', models.DateField()),
                ('bolven_productoconsumido', models.FloatField()),
                ('bolven_cant', models.FloatField()),
                ('bolven_preciounitario', models.FloatField()),
                ('bolven_subtotal', models.FloatField()),
                ('bolven_iva', models.FloatField()),
                ('bolven_totalboleta', models.FloatField()),
                ('res_id', models.FloatField()),
                ('reg_id', models.FloatField()),
                ('res_id1', models.FloatField()),
                ('registro_cliente_reg_id', models.FloatField()),
            ],
            options={
                'db_table': 'boleta_ventas',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CategoriaProducto',
            fields=[
                ('cat_id', models.IntegerField(primary_key=True, serialize=False)),
                ('cat_nombre', models.CharField(max_length=30)),
            ],
            options={
                'db_table': 'categoria_producto',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoAdminLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action_time', models.DateTimeField()),
                ('object_id', models.TextField(blank=True, null=True)),
                ('object_repr', models.CharField(blank=True, max_length=200, null=True)),
                ('action_flag', models.IntegerField()),
                ('change_message', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'django_admin_log',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoContentType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('app_label', models.CharField(blank=True, max_length=100, null=True)),
                ('model', models.CharField(blank=True, max_length=100, null=True)),
            ],
            options={
                'db_table': 'django_content_type',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoMigrations',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('app', models.CharField(blank=True, max_length=255, null=True)),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('applied', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_migrations',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoSession',
            fields=[
                ('session_key', models.CharField(max_length=40, primary_key=True, serialize=False)),
                ('session_data', models.TextField(blank=True, null=True)),
                ('expire_date', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_session',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Pedidos',
            fields=[
                ('ped_id', models.IntegerField(primary_key=True, serialize=False)),
                ('ped_mesa', models.FloatField()),
                ('ped_pedido', models.CharField(max_length=50)),
                ('ped_intrucciones_esp', models.CharField(max_length=200)),
                ('ped_hora_pedido', models.DateField()),
                ('reg_id', models.FloatField()),
                ('registro_cliente_reg_id', models.FloatField()),
            ],
            options={
                'db_table': 'pedidos',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ProdInsumos',
            fields=[
                ('prod_id', models.IntegerField(primary_key=True, serialize=False)),
                ('prod_nombre', models.CharField(max_length=30)),
                ('prod_categoria', models.CharField(max_length=30)),
                ('prod_descripcion', models.CharField(max_length=100)),
                ('prod_fecha_ingreso', models.DateField()),
            ],
            options={
                'db_table': 'prod_insumos',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Proveedores',
            fields=[
                ('prov_id', models.IntegerField(primary_key=True, serialize=False)),
                ('prov_nombre', models.CharField(max_length=30)),
                ('prov_contacto', models.IntegerField()),
                ('prov_direccion', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'proveedores',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Recetas',
            fields=[
                ('rec_id', models.IntegerField(primary_key=True, serialize=False)),
                ('rec_nombre', models.CharField(max_length=30)),
                ('rec_ingrediente', models.CharField(max_length=100)),
                ('rec_preparacion3', models.CharField(max_length=500)),
                ('rec_comentario', models.CharField(max_length=30)),
            ],
            options={
                'db_table': 'recetas',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='RegistroCliente',
            fields=[
                ('reg_id', models.IntegerField(primary_key=True, serialize=False)),
                ('reg_nombre', models.CharField(max_length=30)),
                ('reg_usuario', models.CharField(max_length=30)),
                ('reg_password', models.CharField(max_length=30)),
            ],
            options={
                'db_table': 'registro_cliente',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Reserva',
            fields=[
                ('res_id', models.IntegerField(primary_key=True, serialize=False)),
                ('res_mesa', models.IntegerField()),
                ('res_cantpersonas', models.IntegerField()),
                ('res_fecha_solicitud', models.DateField()),
                ('res_fecha_ingreso', models.DateField()),
            ],
            options={
                'db_table': 'reserva',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Trabajadores',
            fields=[
                ('trab_id', models.IntegerField(primary_key=True, serialize=False)),
                ('trab_fono', models.IntegerField()),
                ('trab_correo', models.CharField(max_length=40)),
                ('trab_password', models.CharField(max_length=30)),
            ],
            options={
                'db_table': 'trabajadores',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Venta',
            fields=[
                ('venta_id', models.IntegerField(primary_key=True, serialize=False)),
                ('venta_cantidad', models.FloatField()),
                ('trab_id', models.FloatField()),
                ('ped_id', models.FloatField()),
                ('res_id', models.FloatField()),
                ('reg_id', models.FloatField()),
                ('ped_id1', models.FloatField()),
                ('res_id1', models.FloatField()),
                ('registro_cliente_reg_id', models.FloatField()),
                ('trab_id1', models.FloatField()),
            ],
            options={
                'db_table': 'venta',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Compra',
            fields=[
                ('compra_id', models.IntegerField()),
                ('compra_cantidad', models.FloatField()),
                ('boleta_insumos_bolins', models.OneToOneField(on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='Restorant.boletainsumos')),
                ('trab_id', models.FloatField()),
            ],
            options={
                'db_table': 'compra',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Relation11',
            fields=[
                ('proveedores_prov', models.OneToOneField(on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='Restorant.proveedores')),
            ],
            options={
                'db_table': 'relation_11',
                'managed': False,
            },
        ),
    ]
